Steuercodes auflisten
curl --request GET \
--url https://api.comstruct.com/v1/tax-codes \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.comstruct.com/v1/tax-codes"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.comstruct.com/v1/tax-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taxCodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "VAT 19%",
"number": "VAT19",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rate": 19,
"recognition": true,
"active": true,
"is_favorite": true
}
],
"total": 123,
"limit": 123,
"offset": 123,
"hasNext": true,
"hasPrevious": true,
"totalPages": 123,
"currentPage": 123
}Master data
List tax codes
Erforderliche Berechtigungen: tax_codes:read
Ruft eine paginierte Liste von Steuercodes für den aktuellen Mandanten ab.
GET
/
tax-codes
Steuercodes auflisten
Authorizations
API-Schlüssel zur Authentifizierung. Kontaktieren Sie Ihren Customer Success Manager, um einen API-Schlüssel zu erhalten.
Jeder Endpunkt erfordert spezifische Berechtigungen (Scopes); die erforderlichen Scopes werden pro Endpunkt angezeigt.
Query Parameters
Maximale Anzahl der Steuercodes pro Seite
Required range:
1 <= x <= 500Anzahl der zu überspringenden Steuercodes für die Paginierung
Required range:
x >= 0Response
Paginierte Steuercodes erfolgreich abgerufen
Show child attributes
Show child attributes
Gesamtanzahl der Steuercodes
Anzahl der Einträge pro Seite
Anzahl der übersprungenen Einträge
Ob weitere Seiten verfügbar sind
Ob vorherige Seiten verfügbar sind
Gesamtanzahl der Seiten
Aktuelle Seitennummer (0-basiert)